LINUX.ORG.RU

Компания Tuxera анонсировала драйвер exFAT

 , , , ,


0

1

Компания Tuxera, известная продуктом NTFS-3G, анонсировала программный пакет, включающий в себя драйверы exFAT, FAT, FAT32, NTFS для Linux и Android для фирм и OEM-производителей оборудования. Заявлена высокая производительность и соблюдение патентного законодательства.

Генеральный директор Tuxera Микко Валимаки комментирует это событие так: «Компании, которые лицензировали для своей продукции патенты Майкрософта, касающиеся файловой системы FAT, не могут использовать общедоступную GPL-реализацию VFAT по лицензионным соображениям. Компании, не сделавшие этого, рискуют получить патентный иск. Поэтому для тех, кто приобрёл лицензию на патенты, существует необходимость заменить драйвер VFAT ядра Linux, иначе риск сохраняется». В анонсе подчёркивается то, что файловая система exFAT входит в стандарт нового интерфейса SDXC, а файловая система NTFS очень распространена на PC, а также то, что в отличие от FAT и FAT32 файловые системы exFAT и NTFS не подвержены лимиту в 2-4 Гб на размер файла, осложняющему перенос файлов, в частности HD-видео.

Стоит заметить, что Tuxera тесно сотрудничает с компанией Microsoft, которая пообещала отсутствие патентных претензий и даже предоставила Tuxera спецификацию, документацию и примеры исходного кода exFAT.

Условия использования не разъяснены: по вопросам приобретения предлагается обратиться на адрес электронной почты sales@tuxera.com.

Напомним, что существует пакет патчей для Linux-ядра, изменяющий код реализации файловой системы таким образом, чтобы он не подпадал под действие патентов. Также разрабатывается открытая реализация exFAT.

>>> Подробности



Проверено: svu ()

Ответ на: комментарий от Ttt

Единственное, что на данный момент действительно создаёт проблемы — API ядра для модулей

API модулей ядра вполне стабилен. Последний раз там наломали дров в 2.6.30 (поломали некоторые вызовы для модуля fglrx). А вот ABI действительно нестабилен, хотя с различными костылями типа dkms все работает вполне сносно (уже забыл когда пересобирал модули вручную).

Но в Windows kernel-драйверы

В оффтопике все драйвера - работают в ядре (собственно поэтому Microsoft пытается ограничить установку драйверов с помощью подписей).

spoilt ★★ ()
Ответ на: комментарий от anonymous

В идеале — нужно изначально проектировать архитектуру ОС так, чтобы необходимость совместимости со старьём не мешала развитию.

Ttt ☆☆☆☆☆ ()
Ответ на: комментарий от anonymous

Ооо даааа !! Это САМЫЙ ГЛАВНЫЙ косяк линукса, если бы не он - линукс был бы идеален

Ага. В ядре до сих пор есть поддержка a.out бинарей. А потом загляни в вики и ужаснись. Даже в оффтопике подобные некропакости давно удалили.

spoilt ★★ ()
Ответ на: комментарий от Ttt

Или, например, насколько я знаю, m$ давно хочет избавиться от букв дисков (и, подозреваю, много от чего ещё) но не может из-за потери совместимости.

Ttt ☆☆☆☆☆ ()
Ответ на: комментарий от spoilt

> Ага. В ядре до сих пор есть поддержка a.out бинарей. А потом загляни в вики и ужаснись. Даже в оффтопике подобные некропакости давно удалили.

Я не про ядро, я про приложения. Линуксом в его текущем виде нельзя пользоваться годами без постоянного обновления дистриба, а значит его нельзя назвать стабильным.

anonymous ()

> Поэтому для тех, кто приобрёл лицензию на патенты, существует необходимость заменить драйвер VFAT ядра Linux, иначе риск сохраняется

Не понял, кто-нибудь может пояснить это?

sv75 ★★★★★ ()
Ответ на: комментарий от Ttt

> В идеале — нужно изначально проектировать архитектуру ОС так, чтобы необходимость совместимости со старьём не мешала развитию.

Как придумаешь, как это сделать, смело иди в главные по разработке ОС в любую компанию.

sv75 ★★★★★ ()
Ответ на: комментарий от spoilt

>В оффтопике все драйвера - работают в ядре

то есть все их вопли про гибридное ядро — обычное враньё? неудивительно тогдп, что играя в l4d под вендой я порой наблюдал BSODы.

thunar ★★★★★ ()
Ответ на: lol от anonymous

Re: lol

Ну если «мужики» - это красноглазая школота, которая обновляется как только выйдет новая альфа, то да, такой проблемы нет.

Попробуй установить на старую линуху, например новый крусадер, или каффеин или еще что нибудь.

anonymous ()
Ответ на: комментарий от anonymous

Я не про ядро, я про приложения. Линуксом в его текущем виде нельзя пользоваться годами без постоянного обновления дистриба, а значит его нельзя назвать стабильным.

Кто тебе, зеленому, мешает пользоватся старым дистром до посинения? Никто. Ставишь Mandrake и доходишь до полного дзена.
Вот только когда захочешь новую програмку поставить - перекрестись/помолись/покури благовония, ибо никто и никогда не сможет предугадать все кривости зависимостей в репозитории.

spoilt ★★ ()
Ответ на: комментарий от sv75

> Как придумаешь, как это сделать, смело иди в главные по разработке ОС в любую компанию.

Легко, на винду XP ставятся любые проги, любые новые версии, и старые и новые.

anonymous ()
Ответ на: комментарий от jcd

> Что-то я не понял - ну создала очередная фирма проприетарный набор драйверов, ну и что с того?

Вендоры встроенных решений могут его использовать.

sv75 ★★★★★ ()
Ответ на: комментарий от anonymous

>Линуксом в его текущем виде нельзя пользоваться годами без постоянного обновления дистриба, а значит его нельзя назвать стабильным.

А как же RHEL и центос? Да и генту никто насильно обновлять не заставляет. Хочешь, хоть год или больше не обновляйся, не смогут установиться какие-то новые программы только и всего. Вот тебе пример, GIMP 2.7 когда вышел? А линейка 2.6 в дистрибутивах до сих пор эксплуатируется. А зачем тогда обновляться если пока ничего принципиально нового устанавливать не планируешь;)

Napilnik ★★★★★ ()
Ответ на: комментарий от thunar

то есть все их вопли про гибридное ядро — обычное враньё?

Какбы несовсем. Там API вынесен в user-space, а драйвера всегда работают в kernel-space. Если нужно подробнее, то лучше поднять книжки Руссиновича, там про NT рассказывается подробно.

spoilt ★★ ()
Ответ на: комментарий от anonymous

> Легко, на винду XP ставятся любые проги, любые новые версии, и старые и новые.

Ага, и дрова для новых виндов. Но тезис был «чтобы необходимость совместимости со старьём не мешала развитию.» Знаешь, насколько сильно это машет развитию? Если нет --- прочитай сначала, МС иногда об этом рассказывает.

sv75 ★★★★★ ()
Ответ на: комментарий от spoilt

> Там API вынесен в user-space,

Потому что он обертка.

sv75 ★★★★★ ()
Ответ на: комментарий от thunar

> то есть все их вопли про гибридное ядро — обычное враньё?

А кто вопил? Но вот автоматическая перезагрузка дров там уже сделана.

sv75 ★★★★★ ()

> подпадал

Под-падам па-да-ба-дам. Исправьте.

Jayrome ★★★★★ ()
Ответ на: комментарий от anonymous

>Легко, на винду XP ставятся любые проги, любые новые версии, и старые и новые.

Просто те проги совместимость которых поломали, меньше мелькают на файлообменниках, вот ты и думаешь что всё работает. Как там Питер Нортон в книге про хрень речь толкал: если старая гама хреново пашет в новой хрени, то это плохая гама а хрень всё равно хорошая.

Napilnik ★★★★★ ()
Ответ на: комментарий от Ttt

> А вообще по законодательству какой-нибудь страны можно ли нагнуть m$ за эти действия? Ведь они явно позиционируют exFAT как стандарт для внешних накопителей, которые подключаются к разным устройствам и используются для обмена данными между ними.

А причём тут МС? Стандарт на новый SD принял консорциум. Ну да, стандарт по уши в патентах, как обычно.

sv75 ★★★★★ ()
Ответ на: комментарий от spoilt

> Кто тебе, зеленому, мешает пользоватся старым дистром до посинения? Никто. Ставишь Mandrake и доходишь до полного дзена.

Абсолютно верно ! Только не мандрейк. У меня на работе OpenSUSE 10.3, она давно уже снята с официальной поддержки, за 2 года работы она вылизана до последней кнопочки и панельки, я пользуюсь строго ограниченным набором прог ( это воркстейшен всетаки ), все глюки так или иначе исправлены или обойдены, эта система для меня сейчас _идеальна_, вплоть до кастомной цветовой схемы, панелек, набора прог и их стабильности. Я думаю я буду пользоваться ей столько сколько я там работаю, хоть год хоть 10 лет и _ничего_ не буду менять, меня все устраивает.

Однако, недавно в компании решили внедрять VoIP, отобрали телефоны, раздали скайп-телефоны ( через USB ). Теперь - старые проги VoIP времен OpenSUSE 10.3 слишком убоги, а новые навороченные я млять не могу поставить !!! Гребанный юникс-вей, сфигали прога хочет юзать новые системные либы ??? Нужны либы - тащи с собой !

Мне в этом плане очень и очень нравится файерфокс - он всегда обновляется без проблем, даже на старых системах. Т.е. могут же если захотят !

anonymous ()
Ответ на: комментарий от anonymous

>он всегда обновляется без вопросов, падла, даже если мне это не нужно

fxd

cnupm ()
Ответ на: комментарий от anonymous

>Нужны либы - тащи с собой !

Ну притащи с собой. Попробуй запусти в winxp без обновлений программу, написанную и собранную под последний .NET или DirectX. Запускается?

Ttt ☆☆☆☆☆ ()
Ответ на: комментарий от Ttt

> Ну притащи с собой. Попробуй запусти в winxp без обновлений программу, написанную и собранную под последний .NET или DirectX. Запускается?

Не пробовал, если честно. Уже не запускается ? Вроде среду .NET нужно отдельно скачивать и ставить, или последние версии NET на XP тоже не ставятся ? Тогда конечно да, хреново.

anonymous ()
Ответ на: комментарий от spoilt

>>linux же не переходил на GPLv3

Не в этом дело. Просто некоторые алгоритмы FAT запатентованы

ну а так что мешает использовать linux код, если ты лецензировал патенты? был бы GPLv3 - было бы понятно, а вот сейчас?

vasaka ★★★ ()
Ответ на: Re: lol от anonymous

Re: lol

кедераст детектед /кеды не нужны. опережая гном то-же :-) вам шашечки или ехать??

anonymous ()
Ответ на: комментарий от sv75

МС его не только для SDXC толкают, а ещё и для USB-флешек. Ну и по поводу патентованных и закрытых стандартов тоже не совсем понятно, их допустимость, как я считаю, противоречит с провозглашённой во многих развитых странах поддержкой конкуренции и запретом на монополизацию своего положения и недобросовестную конкуренцию.

Ttt ☆☆☆☆☆ ()
Ответ на: комментарий от anonymous

Вроде ставятся, но их надо отдельно доустанавливать. Но ведь тебя же это, как я понял, не устраивает.

Ttt ☆☆☆☆☆ ()
Ответ на: комментарий от anonymous

Запускается, msi умеет пререквизиты - сам скачает и поставит всё, что нужно.

cnupm ()
Ответ на: Re: lol от anonymous

Re: lol

> кедераст детектед /кеды не нужны. опережая гном то-же :-) вам шашечки или ехать??

Про крусадер - я как пример привел, меня и старый устраивает ( дома у меня вообще OpenSUSE 10.2, krusader 1.90.0, все что нужно умеет, не падает ). Реально что нужно - это новый VoIP клиент для OpenSUSE 10.3 на работу.

Таки уже кому кому, а мне - нужно ехать и ни как не шашечки ))

anonymous ()
Ответ на: комментарий от anonymous

она давно уже снята с официальной поддержки

Сам себе камикадзе. Я серьезно. А про то, что там уже накопилась тонна дырок в безопасности ваше начальство судя по всему не подозревает.

А вам, как человеку с головой, советую прикинуть длительность цикла разработки Windows и среднего дистра Linux. Вы с удивлением заметите, что Linux, как отдельный дистр, стареет, по меньшей мере, в четыре раза быстрее Windows. Так что дистр годовой давности - это эталон некрофилии. Если не хотите быть посреди всего этого бедлама, то лучше тихо сползти на дистры для тормозов (Debian, CentOS или RHEL) или на rolling-release дистры.

spoilt ★★ ()
Ответ на: комментарий от Ttt

> Вроде ставятся, но их надо отдельно доустанавливать. Но ведь тебя же это, как я понял, не устраивает.

Это замечательный вариант, не устраивало если бы при установке оно сказало - хотите проапгрейдить систему до Win7 ? - Да/НЕТ

anonymous ()
Ответ на: комментарий от spoilt

> Сам себе камикадзе. Я серьезно. А про то, что там уже накопилась тонна дырок в безопасности ваше начальство судя по всему не подозревает.

У нас в офисе не внешние IP у всех, снаружи никто ломиться не будет, а фаерфокс я обновляю регулярно.

Если не хотите быть посреди всего этого бедлама, то лучше тихо сползти на дистры для тормозов (Debian, CentOS или RHEL) или на rolling-release дистры.

rolling - пробовал ARCH, часто обновления приносят глюки которых небыло. А дистры для «тормозов» - похоже это как раз вариант для меня )) Надо будет собраться с силой воли... ( когда ноут сдохнет и я куплю новый )

anonymous ()
Ответ на: комментарий от vasaka

ну а так что мешает использовать linux код, если ты лецензировал патенты?

Никто не мешает. Но платить за открытый код корпорации - это метод достойный Остапа Бендера.

был бы GPLv3 - было бы понятно, а вот сейчас?

Что вы к GPLv3 прицепились? Его применение никак не влияет на то, что за вашим кодом придут большие дяди.

spoilt ★★ ()
Ответ на: комментарий от anonymous

А дистры для «тормозов» - похоже это как раз вариант для меня ))

Я тоже так решил в свое время, вот и сижу на Debian Testing. Фактически и программы неспешно обновляют и еще и кое-какой rolling выходит.

spoilt ★★ ()
Ответ на: комментарий от spoilt

>Никто не мешает. Но платить за открытый код корпорации - это метод достойный Остапа Бендера.

ну вот в новости сказано что те кто лицензировал технологии и использует открытый код все-равно поимеет проблемы, а с их фигней проблем не будет.

вот этот момент сильно непонятен.

vasaka ★★★ ()
Ответ на: комментарий от anonymous

А никто не предлагает ставить Opensuse 11, попробуй сначала установить (не обязательно в /usr/lib, можно только чтобы только для этой программы) новые версии требуемых библиотек.

Ttt ☆☆☆☆☆ ()
Ответ на: комментарий от vasaka

Если при лицензировании патентов на FAT Microsoft требует, чтобы лицензиат включал в лицензионное соглашение на программу требование не нарушать эти микрософтовские патенты, то это будет противоречить седьмому пункту GPLv2.

Ttt ☆☆☆☆☆ ()
Ответ на: комментарий от vasaka

ну вот в новости сказано что те кто лицензировал технологии и использует открытый код все-равно поимеет проблемы, а с их фигней проблем не будет.

А, вы про это. Кажется тут надмозги постарались:

original

«Companies who have licensed FAT patents from Microsoft cannot use the publicly available GPL-licensed VFAT implementation,» noted Mikko Välimäki, Tuxera CEO and recognized open source legal expert. «If you don't license Microsoft patents, you risk a patent lawsuit. If you license the patents, you need to also replace the GPL software in Linux, or you risk a copyright lawsuit.»

Грубый перевод

«Компании, которые лицензировали патенты FAT от Microsoft, не могут использовать GPL-реализацию VFAT.» отметил Микко Валимаки, генереальный директор Tuxera и признанный эксперт в вопросах легальности open source. «Если вы не используете лицензию на патенты от Microsoft, то рискуте на себя навлечь патентный иск. Если вы лицензировали патенты, то вы обязаны заменить GPL компоненты в Linux, в противном случае вы рискуете навлечь на себя иск о нарушении авторских прав.»

Я тоже не совсем понял, зачем необходимо заменять GPL компоненты, да и на что их собственно заменять?

spoilt ★★ ()
Ответ на: комментарий от spoilt

Только без древних библиотек ничерта не заработает, поэтому никакого толку от поддержки a.out нет.

Reset ★★★★★ ()
Ответ на: Re: lol от anonymous

Ну дык и поставьте статическую сборку с новыми либами. Можное ещё в чрут воткнуть минимальный обрезок новой системы и voip на нём. Есть вобщем способы, было бы желание ехать.

Lonli-Lokli ★★ ()
Ответ на: комментарий от cnupm



Запускается, msi умеет пререквизиты - сам скачает и поставит всё, что нужно.

Если перед и в процессе правильно помедитировать.

Lonli-Lokli ★★ ()

exFAT - ярчайший пример несвоевременного прочтения man mkudffs.

shahid ★★★★★ ()
Ответ на: комментарий от anonymous

>на винду XP ставятся любые проги, любые новые версии, и старые и новые.

Т.е. те, что под эту версию виндовсов, да? А если от виндовса 7-го образца?

anonymous ()

Мда, лор как всегда отстает от новостей... Уже на опеннете было давно. Не уж то и правда говорят, что лор как информационный ресурс OSS пустышка, но троллинга лишь нужен...

SimonPhoenix ()

>и соблюдение патентного законодательства

Патенты на алгоритмы не нужны и точка. Это сильно тормозит ТП, то что задумывалось для ускорения ТП теперь его тормозит, выводы очевидны.

anonymous ()

везде где только можно ставлю свободный драйвер файловой системы ext2. на своих флэшках ни фат, ни нтфс не использую уже около года. плюсы: не заражается вирусами на винде, не коробит файлы как на нтфс, влезают файлы более 4ГБ.

ABTOP ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.